# snappy-proposed-image-builder
# Copyright (C) 2015 Canonical
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

"""Constants for this service."""

import socket

API_VERSION = "v1"

RETRY_COUNT = 3

SOLUTION_NAME = "snappy-proposed"

SERVICE_NAME = "image-builder"

HOSTNAME = socket.gethostname()

LOGGING_EXTRA = {
    'solution': SOLUTION_NAME,
    'service': SERVICE_NAME,
    'hostname': HOSTNAME,
}

QUEUE_PREFIX = 'snappy-proposed'
QUEUES = {
    'deadletters': '{}.deadletters.{}'.format(QUEUE_PREFIX, API_VERSION),
    'packages': '{}.packages.{}'.format(QUEUE_PREFIX, API_VERSION),
    'tests': '{}.tests.{}'.format(QUEUE_PREFIX, API_VERSION),
}
